<!--
 * @Author: 小明丶
 * @Date: 2020-06-19 09:42:54
 * @LastEditors: 小明丶
 * @LastEditTime: 2020-10-27 09:49:54
 * @Description: 相关合同页面
--> 
<template>
  <div class="contract-page">
    <v-navbar title="相关合同"></v-navbar>
    <div class="contract-box">
      <!-- <h-cell v-if="contract1" label="《保理付款服务合同》" isLink readonly @click="goPdf(1)"></h-cell> -->
      <h-cell v-if="contract2" label="《代扣委托书》" isLink readonly @click="goPdf(2)"></h-cell>
      <h-cell v-if="contract3" label="《信息授权函》" isLink readonly @click="goPdf(3)"></h-cell>
      <!-- <h-cell v-if="contract4" label="《重要信息告知书》" isLink readonly @click="goPdf(4)"></h-cell> -->
      <h-cell v-if="contract5" label="《个人征信查询报送授权书》" isLink readonly @click="goPdf(5)"></h-cell>
      <h-cell v-if="contract6" label="《委托担保合同》" isLink readonly @click="goPdf(6)"></h-cell>
      <h-cell v-if="contract7" label="《融资担保服务申请书》" isLink readonly @click="goPdf(7)"></h-cell>
    </div>
    <van-image-preview v-model="show" :images="images" @change="onChange" closeable="true" :loop="false" showIndicators="true">
      <template v-slot:index>第{{ index+1 }}页</template>
    </van-image-preview>
  </div>
</template>
<script>
import Vue from 'vue';
import { ImagePreview } from 'vant';

// 全局注册
Vue.use(ImagePreview);
export default {
  data() {
    return {
      show: false,
      index: 0,
      images: [
        'https://img.yzcdn.cn/vant/apple-1.jpg',
        'https://img.yzcdn.cn/vant/apple-2.jpg',
      ],
    }
  },
  computed: {
    contract1() {
      return JSON.parse(sessionStorage.contract1Urls)
    },
    contract2() {
      return JSON.parse(sessionStorage.contract2Urls)
    },
    contract3() {
      return JSON.parse(sessionStorage.contract3Urls)
    },
    contract4() {
      return JSON.parse(sessionStorage.contract4Urls)
    },
    contract5() {
      return JSON.parse(sessionStorage.contract5Urls)
    },
    contract6() {
      return JSON.parse(sessionStorage.contract6Urls)
    },
    contract7() {
      return JSON.parse(sessionStorage.contract7Urls)
    },
  },
  methods: {
    onChange(index) {
      this.index = index;
    },
    goPdf(i) {
      let url = ''
      let tit = ''
      switch (i) {
        case 1:
          this.images = JSON.parse(sessionStorage.contract1Urls)
          tit = '保理付款服务合同'
          break;
        case 2:
          this.images = JSON.parse(sessionStorage.contract2Urls)
          tit = '代扣委托书'
          break;
        case 3:
          this.images = JSON.parse(sessionStorage.contract3Urls)
          tit = '信息授权函'
          break;
        case 4:
          this.images = JSON.parse(sessionStorage.contract4Urls)
          tit = '重要信息告知书'
          break;
        case 5:
          this.images = JSON.parse(sessionStorage.contract5Urls)
          tit = '个人征信查询报送授权书'
          break;
        case 6:
          this.images = JSON.parse(sessionStorage.contract6Urls)
          tit = '委托担保合同'
          break;
        case 7:
          this.images = JSON.parse(sessionStorage.contract7Urls)
          tit = '融资担保服务申请书'
          break;
      }
      this.show = true
      // this.$router.push({
      //     path:"/agreement2",
      //     query:{
      //         tit:tit,
      //         url:url
      //     }
      // })
    }
  }
}
</script>
<style lang="less" scoped>
.contract-page {
  & {
    min-height: 100vh;
    background: #f5f5f7;
  }
  .contract-box {
    background: #fff;
    margin-top: 10px;
    padding: 0 27px 0 25px;
    /deep/.v-cell-box {
      .left {
        width: 80%;
      }
    }
  }
  /deep/.van-image-preview__close-icon--top-right {
    top: 0.12rem;
    right: 0.32rem;
  }
  /deep/.van-image-preview__image {
    top: 35px;
  }
  /deep/.van-image__error,
  .van-image__img,
  .van-image__loading {
    display: block;
    width: 100%;
    height: 95%;
  }
}
</style>